package edu.ntnu.stud.cardgame;

import java.util.ArrayList;
import java.util.Random;
import java.util.List;

public class DeckOfCards {
  private final char[] suit = { 'S', 'H', 'D', 'C' };
  private final List<PlayingCard> deck;
  Random random = new Random();

  public DeckOfCards(){
    deck = new ArrayList<>();

    for (int i = 0; i < 52; i++) {
      int face = random.nextInt(13)+1;
      int suitNum = random.nextInt(4);
      deck.add(new PlayingCard(suit[suitNum], face));
    }
  }

  public List<PlayingCard> getDeck() {
    return deck;
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    for (PlayingCard card : deck) {
      sb.append(card.getAsString());
      sb.append("\n");
    }
    return sb.toString();
  }
}
